// unittobcd.c: Convert unsigned, 16-bit integer to BCD
// Needs 5 nibbles for converted result, so 32-bit value
// Based on Application Reports, section 5.5.3, Lutz Bierl
// Loop works from msb to lsb of input using Horner's algorithm
// In each interation, the converted value is doubled decimally
//   to allow for the factor of two going from bit to bit
// It is also incremented if the current bit of the input is set
//----------------------------------------------------------------------
#include <io430xG46x.h>					// Specific device (for BITF!)
#include <intrinsics.h>					// Intrinsic functions
#include <stdint.h>						// Integers of defined sizes
//----------------------------------------------------------------------
uint32_t UIntToBCD (uint16_t UIntValue)
{
	uint32_t converted;
	uint8_t i;

	converted = 0;
	for (i = 0; i < 16; ++i) {
		converted = __bcd_add_long (converted, converted);
		if ((UIntValue & BITF) != 0) {
			converted = __bcd_add_long (converted, 1);
		}
		UIntValue <<= 1;
	}
	return converted;
}
