// wdtest1.c - trival program to demonstrate watchdog timer
// Olimex 1121STK board, 32KHz ACLK
// J H Davies, 2007-05-10; IAR Kickstart version 3.42A
//----------------------------------------------------------------------
#include <io430x11x1.h>					// Specific device
//----------------------------------------------------------------------
// Pins for LEDs and button
#define	LED1	P2OUT_bit.P2OUT_3
#define	LED2	P2OUT_bit.P2OUT_4
#define	B1		P2IN_bit.P2IN_1
// Watchdog config: active, ACLK/32768 -> 1s interval; clear counter
#define	WDTCONFIG	(WDTCNTCL|WDTSSEL)
// Include settings for _RST/NMI pin here as well
//----------------------------------------------------------------------
void main (void)
{
	WDTCTL = WDTPW | WDTCONFIG;			// Configure and clear watchdog
	P2DIR = BIT3 | BIT4;				// Set pins with LEDs to output
	P2OUT = BIT3 | BIT4;				// LEDs off (active low!)
	for (;;) {							// Loop forever
		LED2 = ~IFG1_bit.WDTIFG;		// LED2 shows state of WDTIFG
		if (B1 == 1) {					// Button up
			LED1 = 1;					// LED1 off
		} else { 						// Button down
			WDTCTL = WDTPW | WDTCONFIG;	// Feed/pet/kick/clear watchdog
			LED1 = 0;					// LED1 on
		}
	}
}
