// butled2.c - press button to light LED
// Two loops, one for each state of the button
// Olimex 1121STK board, LED1 active low on P2.3,
//   button B1 active low on P2.1
// J H Davies, 2006-06-01; IAR Kickstart version 3.41A
//----------------------------------------------------------------------
#include <msp430x11x1.h>			// Specific device

// Pins for LED and button on port 2
#define	LED1	BIT3
#define	B1		BIT1

void main (void)
{
	WDTCTL = WDTPW | WDTHOLD;		// Stop watchdog timer
	P2OUT = LED1;					// Preload LED1 off (active low!)
	P2DIR = LED1;					// LED1 pin output, others input
	for (;;) {						// Loop forever
		while ((P2IN & B1) != 0) {	// Loop while button up
		}							// (active low) doing nothing
// Actions to be taken when button is pressed
		P2OUT &= ~LED1;				// Turn LED1 on (active low!)
		while ((P2IN & B1) == 0) {	// Loop while button down
		}							// (active low) doing nothing
// Actions to be taken when button is released
		P2OUT |= LED1;				// Turn LED1 off (active low!)
	}
}
