// butled3.c - press button to light LED
// Two loops, one for each state of the button
// Header file with bit fields
// Olimex 1121STK board, LED1 active low on P2.3,
//   button B1 active low on P2.1
// J H Davies, 2006-06-01; IAR Kickstart version 3.41A
//----------------------------------------------------------------------
#include <io430x11x1.h>			// Specific device, new format header

// Pins for LED and button
#define	LED1	P2OUT_bit.P2OUT_3
#define	B1		P2IN_bit.P2IN_1

void main (void)
{
	WDTCTL = WDTPW | WDTHOLD;		// Stop watchdog timer
	LED1 = 1;						// Preload LED1 off (active low!)
	P2DIR_bit.P2DIR_3 = 1;			// Set pin with LED1 to output
	for (;;) {						// Loop forever
		while (B1 != 0) {			// Loop while button up
		}							// (active low) doing nothing
// actions to be taken when button is pressed
		LED1 = 0;					// Turn LED1 on (active low!)
		while (B1 == 0) {			// Loop while button down
		}							// (active low) doing nothing
// actions to be taken when button is released
		LED1 = 1;					// Turn LED1 off (active low!)
	}
}
