// flashled.c - toggles LEDs with period of about 1s
// Software delay for() loop
// Olimex 1121STK, LED1,2 active low on P2.3,4
// J H Davies, 2006-06-03; IAR Kickstart version 3.41A
//----------------------------------------------------------------------
#include <msp430x11x1.h>			// Specific device

// Pins for LEDs
#define	LED1	BIT3
#define	LED2	BIT4
// Iterations of delay loop; reduce for simulation
#define DELAYLOOPS	50000

void main (void)
{
	volatile unsigned int LoopCtr;	// Loop counter: volatile!

	WDTCTL = WDTPW | WDTHOLD;		// Stop watchdog timer
	P2OUT = ~LED1;					// Preload LED1 on, LED2 off
	P2DIR = LED1|LED2;				// Set pins with LED1,2 to output
	for (;;) {						// Loop forever
		for (LoopCtr = 0; LoopCtr < DELAYLOOPS; ++LoopCtr) {
		}							// Empty delay loop
		P2OUT ^= LED1|LED2;			// Toggle LEDs
	}
}
