// timrled1.c - toggles LEDs with period of about 1.3s
// Poll free-running timer A with period of about 0.65s
// Timer clock is SMCLK divided by 8, continuous mode
// Olimex 1121STK, LED1,2 active low on P2.3,4
// J H Davies, 2006-06-12; IAR Kickstart version 3.41A
//----------------------------------------------------------------------
#include <io430x11x1.h>		// Specific device

// Pins for LEDs
#define	LED1	BIT3
#define	LED2	BIT4

void main (void)
{
	WDTCTL = WDTPW|WDTHOLD;				// Stop watchdog timer
	P2OUT = ~LED1;						// Preload LED1 on, LED2 off
	P2DIR = LED1|LED2;					// Set pins for LED1,2 to output
	TACTL = MC_2|ID_3|TASSEL_2|TACLR;	// Set up and start Timer A
// Continuous up mode, divide clock by 8, clock from SMCLK, clear timer
	for (;;) {							// Loop forever
		while (TACTL_bit.TAIFG == 0) {	// Wait for overflow
		}								//   doing nothing
		TACTL_bit.TAIFG = 0;			// Clear overflow flag
		P2OUT ^= LED1|LED2;				// Toggle LEDs
	}									// Back around infinite loop
}
