// timrled2.c - toggles LEDs with period of about 1.0s
// Poll timer A in Up mode with period of about 0.5s
// Timer clock is SMCLK divided by 8, up mode, period 50000
// Olimex 1121STK, LED1,2 active low on P2.3,4
// J H Davies, 2006-06-16; IAR Kickstart version 3.41A
//----------------------------------------------------------------------
#include <io430x11x1.h>					// Specific device

// Pins for LEDs
#define	LED1	BIT3
#define	LED2	BIT4

void main (void)
{
	WDTCTL = WDTPW|WDTHOLD;				// Stop watchdog timer
	P2OUT = ~LED1;						// Preload LED1 on, LED2 off
	P2DIR = LED1|LED2;					// Set pins for LED1,2 to output
	TACCR0 = 49999;						// Upper limit of count for TAR
	TACTL = MC_1|ID_3|TASSEL_2|TACLR;	// Set up and start Timer A
// "Up to CCR0" mode, divide clock by 8, clock from SMCLK, clear timer
	for (;;) {							// Loop forever
		while (TACTL_bit.TAIFG == 0) {	// Wait for overflow
		}								//   doing nothing
		TACTL_bit.TAIFG = 0;			// Clear overflow flag
		P2OUT ^= LED1|LED2;				// Toggle LEDs
	}									// Back around infinite loop
}
